Call counts by state, outcome and direction
GET
https://server.heyrik.com/api/v1/calls/statsHeaders
AuthorizationstringRequiredUse Bearer $HEYRIK_API_KEY with an account-scoped API key. Keep the key on your server.
Response
Explore the example values. This is not a complete response schema.
dataobjectExplore 6 properties
totalnumberExample 412
connectednumberExample 355
disconnectednumberExample 33
byStateobjectExplore 2 properties
ENDEDnumberExample 388
FAILEDnumberExample 24
byOutcomeobjectExplore 2 properties
resolvednumberExample 240
callbacknumberExample 88
byDirectionobjectExplore 2 properties
inboundnumberExample 210
outboundnumberExample 202
GET/calls/stats
cURL
curl https://server.heyrik.com/api/v1/calls/stats \
-H "Authorization: Bearer $HEYRIK_API_KEY"Response example
JSON
{
"data": {
"total": 412,
"connected": 355,
"disconnected": 33,
"byState": { "ENDED": 388, "FAILED": 24 },
"byOutcome": { "resolved": 240, "callback": 88 },
"byDirection": { "inbound": 210, "outbound": 202 }
}
}Illustrative examples · No live request is sent
